## indi-astrolink4 0.1%2B20220128183230

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
PROJECT(indi-astrolink4 CXX C)

set (ASTROLINK4_VERSION_MAJOR 0)
set (ASTROLINK4_VERSION_MINOR 1)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

SET(CMAKE_CXX_STANDARD 11)

find_package(INDI REQUIRED)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_astrolink4.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_astrolink4.xml )

################ AstroLink4 ################

set(indi_astrolink4_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/indi_astrolink4.cpp
   )

add_executable(indi_astrolink4 ${indi_astrolink4_SRCS})
target_link_libraries(indi_astrolink4 ${INDI_LIBRARIES})

install(TARGETS indi_astrolink4 RUNTIME DESTINATION bin )
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_astrolink4.xml DESTINATION ${INDI_DATA_DIR})

## indi-astrolink4 0.1+20220128183230

=== debian/changelog ===
indi-astrolink4 (0.1+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 18:54:13 +0000

indi-astrolink4 (0.1-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 18:30:07 +0100

indi-astrolink4 (0.1-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Dec 2021 19:30:07 +0100

## indi-astrolink4 0.1+20220610101327

=== debian/changelog ===
indi-astrolink4 (0.1+20220610101327-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:13:37 +0000

## indi-astrolink4 0.1+20221223182627

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROJECT(indi-astrolink4 CXX C)
 
 set (ASTROLINK4_VERSION_MAJOR 0)
-set (ASTROLINK4_VERSION_MINOR 1)
+set (ASTROLINK4_VERSION_MINOR 7)
 
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")

=== debian/changelog ===
indi-astrolink4 (0.1+20221223182627-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113010)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:17:18 +0200

indi-astrolink4 (0.1+20221223182627-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 0.1

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 18:27:43 +0000

=== debian/control ===
Source: indi-astrolink4
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libgsl-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-astrolink4
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-astrolink4.git

Package: indi-astrolink4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Astrolink 4.0 devices
 This package contains an INDI driver that interacts with AstroLink 4
 mini device. It contains two focuser controllers, regulated outputs
 for heaters, peltiers or fans, switchable power outputs, different
 sensors inputs, hand controller connector and many other options.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
